Loading...
Searching...
No Matches
XrdCl::FinalOperation Class Reference

`#include <XrdClFinalOperation.hh>`

Collaboration diagram for XrdCl::FinalOperation:

## Public Member Functions

| FinalOperation (std::function< void(const XRootDStatus &)> final)

## Friends

template<template< bool > class Derived, bool HasHndl, typename HdlrFactory, typename ... Args>
class | ConcreteOperation

## Detailed Description

Final operation in the pipeline, always executed, no matter if the pipeline failed or not.

Used to manage resources.

Definition at line 41 of file XrdClFinalOperation.hh.

## Constructor & Destructor Documentation

## FinalOperation()

XrdCl::FinalOperation::FinalOperation | ( | std::function< void(const XRootDStatus &)> | final | ) |

inline

Constructor

Parameters

  final | : the routine that should be called in order to finalize the pipeline

Definition at line 55 of file XrdClFinalOperation.hh.

: final( std::move( final ) )
{
}

## Friends And Related Symbol Documentation

## ConcreteOperation

template<template< bool > class Derived, bool HasHndl, typename HdlrFactory, typename ... Args>

friend class ConcreteOperation

friend

Definition at line 45 of file XrdClFinalOperation.hh.

References ConcreteOperation.

Referenced by ConcreteOperation.

The documentation for this class was generated from the following file:

- XrdClFinalOperation.hh